nfsft_plan Struct Reference
NFSFT - Nonequispaced fast spherical Fourier transform

data structure for an NFSFT (nonequispaced fast spherical Fourier transform) plan with double precision More...

`#include <nfft3.h>`

Collaboration diagram for nfsft_plan:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftw_complex * | f_hat
| Fourier coefficients. More...
fftw_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
int | N
| the bandwidth
double * | x
| the nodes for ,
int | t
| the logarithm of NPT with respect to the basis 2
unsigned int | flags
| the planner flags
nfft_plan | plan_nfft
| the internal NFFT plan
fftw_complex * | f_hat_intern
| Internally used pointer to spherical Fourier coefficients.
double | MEASURE_TIME_t [3]
| Measured time for each step if MEASURE_TIME is set.

## Detailed Description

data structure for an NFSFT (nonequispaced fast spherical Fourier transform) plan with double precision

NFSFT transform plan

Definition at line 574 of file nfft3.h.

## Field Documentation

NFFT_INT nfsft_plan::N_total

Total number of Fourier coefficients.

Definition at line 574 of file nfft3.h.

Referenced by main(), nfsft_finalize(), nfsft_init_advanced(), and nfsft_trafo().

NFFT_INT nfsft_plan::M_total

Total number of samples.

Definition at line 574 of file nfft3.h.

Referenced by main(), nfsft_finalize(), and nfsft_init_advanced().

fftw_complex* nfsft_plan::f_hat

Fourier coefficients.

Definition at line 574 of file nfft3.h.

Referenced by c2e_transposed(), main(), nfsft_adjoint(), nfsft_finalize(), nfsft_init_advanced(), and nfsft_trafo().

fftw_complex* nfsft_plan::f

Samples.

Definition at line 574 of file nfft3.h.

Referenced by main(), nfsft_adjoint(), nfsft_finalize(), nfsft_init_advanced(), and nfsft_trafo().

void(* nfsft_plan::mv_trafo) (void *)

Transform.

Definition at line 574 of file nfft3.h.

Referenced by nfsft_init_advanced().

void(* nfsft_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 574 of file nfft3.h.

Referenced by nfsft_init_advanced().

The documentation for this struct was generated from the following file:

- nfft3.h